Package org.apache.jmeter.gui.action

# Class RegexpSearcher

java.lang.Object
org.apache.jmeter.gui.action.RegexpSearcher

All Implemented Interfaces:
  `Searcher`

public class RegexpSearcher extends Object implements Searcher
Regexp search implementation

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RegexpSearcher(boolean caseSensitive, String regexp)`
  Constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `search(List<String> textTokens)`
  Implements the search
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### RegexpSearcher

    public RegexpSearcher(boolean caseSensitive, String regexp)
    Constructor
    Parameters:
      `caseSensitive` - is search case sensitive
      `regexp` - Regexp to search

- ## Method Details

  - ### search

    public boolean search(List<String> textTokens)
    Implements the search
    Specified by:
      `search` in interface `Searcher`
    Parameters:
      `textTokens` - List of content to be searched
    Returns:
      true if search on textTokens is successful

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`